Subject: Re: bug#6339: url-filename => "/c:/some/file.txt"

From: Juanma Barranquero <[email-masked]>
Date: Thu, 6 Oct 2011 16:49:56 +0200

On Thu, Oct 6, 2011 at 16:38, Jason Rumney <[email-masked]> wrote:

> It is incorrect to assume that the slash is NOT part of the file portion
> of the URL, when actual usage in http, ftp, gopher and file URLs on
> platforms other than Windows and VMS relies on the leading slash being
> preserved.

[Today is my "whole disagreement day", it seems.] It's a fact that the
slash is NOT part of the file portion, whatever shortcuts people have
taken along the years.

That said, someone who really thinks that this is a Windows-specific
problem, even if it is not, can trivially "fix" it with an ugly hack.
Let's hope someone does and we can close this bug report forever.

    Juanma